Subject: bug#52705: 29.0.50; Flashing popups when x-gtk-use-system-tooltips is nil in pgtk

From: martin rudalics <[email-masked]>
Date: Fri, 24 Dec 2021 09:43:58 +0100

> It should work fine on X without any issues, even in a PGTK build.

I see the behavior Aleksandr describes here with a GTK3 build on X.  The
empty tooltip frame pops up shortly at the top left corner of the
display regardless of where the proper Emacs frame is positioned.  I
suppose it's due to the usual delay induced by setting up the tooltip
frame's fonts.

With 'tooltip-reuse-hidden-frame' non-nil, the empty tooltip shows only
once but unfortunately the proper tooltip is not made invisible whenever
it is supposed to disappear (for some reason the check

	  && !FRAME_VISIBLE_P (XFRAME (tip_frame))))

on line 3204 of pgtkfns.c fails, telling that the tooltip is already
invisible although it is still visible).

martin